> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# updateProject

> Update an existing project



## OpenAPI

````yaml PUT /project/{id}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /project/{id}:
    put:
      tags:
        - Projects
      summary: Update Project
      description: Update an existing project
      operationId: updateProject
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                icon:
                  type: string
                slug:
                  type: string
                description:
                  type: string
                isPublic:
                  type: boolean
              required:
                - name
                - icon
                - slug
                - description
                - isPublic
      responses:
        '200':
          description: Project updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  workspaceId:
                    type: string
                  slug:
                    type: string
                  icon:
                    type: string
                    nullable: true
                  name:
                    type: string
                  description:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                  isPublic:
                    type: boolean
                    nullable: true
                  archivedAt:
                    nullable: true
                required:
                  - id
                  - workspaceId
                  - slug
                  - icon
                  - name
                  - description
                  - createdAt
                  - isPublic
                  - archivedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````